<?php
/**
 * Zarafa Z-Merge SugarCRM Connector
 *
 * Copyright (C) 2005 - 2008  Zarafa B.V.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License, version 3,
 * and under the terms of the GNU General Public License, version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU (Affero) General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * and the GNU General Public License along with this program.
 * If not, see <http://www.gnu.org/licenses/>.
 *
 * Created on 10.06.2008 by Sebastian Kummer & Manfred Kutas
 *
 * @package Z-Merge
 * @subpackage SugarCRM-Connector
 */

function post_install() {
    require_once('include/utils.php');
    require_once('ModuleInstall/ModuleInstaller.php');
    if (file_exists('modules/ZMerge/inc.defs.php'))require_once('modules/ZMerge/inc.defs.php');

    global $sugar_config, $db;

    $db_type = $sugar_config['dbconfig']['db_type'];

    $query = "";
    if($db->dbType == 'mysql') {
        //execute sql-statements
        if (is_array($db_creation) && !empty($db_creation)) {
            foreach ($db_creation as $stmt) {
                $db->query($stmt);
            }
        }
    }
}
?>